Summary: Advanced Linux Sound Architecture (ALSA) - Library
Name: alsa-lib

%global momorel 2
#%%define ALSArcver 2
Version: 1.0.5
#Release: 0.%{ALSArcver}.%{momorel}m
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://www.alsa-project.org/

%NoSource 0 ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}%{?ALSArcver:rc%{ALSArcver}}.tar.bz2 fc9d701a8a26c09db0aaf3faef13eeb0

BuildRoot: %{_tmppath}/%{name}-%{version}-root
# BuildRequires: kernel-headers >= 2.4.22-15m
BuildRequires: autoconf >= 2.58
Requires: alsa-driver >= %{version}

%description
This document is probably old!!
Advanced Linux Sound Architecture (ALSA) - Library

Features
========

* general
  - modularized architecture with support for 2.0 and latest 2.1 kernels
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
* ISA soundcards
  - support for 128k ISA DMA buffer
* mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
* digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
* OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%package devel
Summary: Static libraries and header files from the ALSA library.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%prep
%setup -q -n  %{name}-%{version}%{?ALSArcver:rc%{ALSArcver}}

%build
touch NEWS README AUTHORS
libtoolize -c -f
aclocal-1.7
automake-1.7
autoconf-2.58
%configure --enable-static=yes
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir}/sys
mkdir -p %{buildroot}%{_libdir}

%makeinstall transform='s,x,x,'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog TODO doc/asoundrc.txt
%{_bindir}/alsalisp
%{_bindir}/aserver
%{_libdir}/libasound.so.*
%{_datadir}/alsa

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL MEMORY-LEAK NEWS NOTES README TODO doc
#%%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libasound.a
%{_libdir}/libasound.la
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%changelog
* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-2m)
- delete exclude %%{_libdir}/libasound.la for gst-plugins

* Thu Jun 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Thu Apr 29 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-2m)
- make static lib together
- separate devel packages
- use fedora 1.0.3a spec files list

* Fri Apr 09 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update ALSA to 1.0.4

* Wed Mar 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3b-1m)
- fixes SIGSEGV problem for dmix plugin

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3a-2m)
- revised spec for enabling rpm 4.2.

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3a-1m)

* Tue Feb 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-1m)
- update ALSA to 1.0.2

* Wed Jan 21 2004 Kenta MURATA <muraken2@nifty.com>
- (1.0.1-2m)
- BuildRequires: autoconf >= 2.58.

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-1m)

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.2.1m)
- update to 1.0.0rc2

* Wed Oct 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-1m)

* Fri Oct 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.7-2m)
- rebuild against alsa-0.9.7c

* Fri Oct  3 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.7-1m)
- update to 0.9.7

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.9.6-2m)
- add alsa.pc

* Thu Jul 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
- use %%NoSource, no need :

* Mon Jul 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.5-1m)
- update to 0.9.5

* Sat Jun 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.4-3m)
  fix requires.

* Sat Jun 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-2m)
- change BuildRequires and Requires: kernel-headers
- thnaks to NARITA Koichi [Momonga-devel.ja:01741]

* Fri Jun 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Sun May 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3
- update BuildRequires: kernel-headers >= 2.4.21-0.3.3m
- update Requires: kernel-headers >= 2.4.21-0.3.3m

* Mon Mar 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2
- update BuildRequires: kernel-headers >= 2.4.20-38m
- update Requires: kernel-headers >= 2.4.20-38m

* Fri Mar 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.1-1m)
  update to 0.9.1

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.0-0.8c.1m)
  update to 0.9.0rc8c

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.0-0.7.2m)
- BuildRequires: kernel-headers >= 2.4.20-21m
- Requires: kernel-headers >= 2.4.20-21m

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.0-0.7.1m)
- update to rc7

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.6.2m)
- transform='s,x,x,' in %makeinstall

* Tue Nov 19 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.0-0.6.1m)
- 0.9.0rc6

* Thu Oct 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.5.1m)
- 0.9.0rc5

* Sat Sep 21 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-0.3.3m)
- change Requires: kernel-headers >= 2.4.18-119m
  alsa-0.9 was integrated into kernel at kernel-2.4.18-119m
  alsa-0.9(asound.h) was moved include/linux to include/sound
  alsa-driver package was obsoleted

* Mon Aug 26 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.9.0-0.3.2m)
- we forgot about /usr/share/alsa directory in %files!
- also inlcluded /usr/include/sys/asoundlib.h so other
  builds will detect alsa correctly

* Thu Aug 22 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.9.0-0.3.1m)
- version 0.9.0 rc3
- based on kaz-san's patch devel.ja:00342

* Tue Mar  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.5.10b-3k)
- update to 0.5.10b

* Sun Dec 10 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.5.10-3k)
- update to 0.5.10

* Thu Aug 10 2000 AYUHANA Tomonori <l@kondara.org>
- (0.5.9-1k)
- Version up 0.5.8 -> 0.5.9

* Tue Jun  6 2000 AYUHANA Tomonori <l@kondara.org>
- Version up 0.5.7 -> 0.5.8
- add -q at %setup
- use %configure

* Thu Apr  9 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.6 -> 0.5.7

* Wed Mar 15 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Version up 0.5.5 -> 0.5.6
- Provides libasound-0.5.5.so for compatiblity

* Thu Mar  2 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.4 -> 0.5.5

* Sun Feb 28 2000 Toru Hoshina <t@kondara.org>
- Version up 0.4.1e -> 0.5.4

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file
